Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.cache
Class ServletContextInitMap

    java.lang.Object
      java.util.AbstractMap<java.lang.String,java.lang.String>
          org.ajax4jsf.cache.ServletContextInitMap

All Implemented Interfaces:
  java.util.Map<java.lang.String,java.lang.String>

Deprecated.

    @Deprecated
    public class ServletContextInitMap

extends java.util.AbstractMap<java.lang.String,java.lang.String>

Author:
  Nick Belaevski - nbelaevski@exadel.com created 02.05.2007

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`ServletContextInitMap(javax.servlet.ServletContext servletContext)` Deprecated.

Method Summary
`java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.String>>` | `entrySet()` Deprecated.
`java.lang.String` | `put(java.lang.String key, java.lang.String value)` Deprecated.
`void` | `putAll(java.util.Map<? extends java.lang.String,? extends java.lang.String> m)` Deprecated.
`java.lang.String` | `remove(java.lang.Object key)` Deprecated.

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletContextInitMap

    public ServletContextInitMap(javax.servlet.ServletContext servletContext)

  Deprecated.

Method Detail

### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.String>> entrySet()

  Deprecated.
  Specified by:
    `entrySet` in interface `java.util.Map<java.lang.String,java.lang.String>`
  Specified by:
    `entrySet` in class `java.util.AbstractMap<java.lang.String,java.lang.String>`

### remove

    public java.lang.String remove(java.lang.Object key)

  Deprecated.
  Specified by:
    `remove` in interface `java.util.Map<java.lang.String,java.lang.String>`
  Overrides:
    `remove` in class `java.util.AbstractMap<java.lang.String,java.lang.String>`

### put

    public java.lang.String put(java.lang.String key,
                                java.lang.String value)

  Deprecated.
  Specified by:
    `put` in interface `java.util.Map<java.lang.String,java.lang.String>`
  Overrides:
    `put` in class `java.util.AbstractMap<java.lang.String,java.lang.String>`

### putAll

    public void putAll(java.util.Map<? extends java.lang.String,? extends java.lang.String> m)

  Deprecated.
  Specified by:
    `putAll` in interface `java.util.Map<java.lang.String,java.lang.String>`
  Overrides:
    `putAll` in class `java.util.AbstractMap<java.lang.String,java.lang.String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.